## nagios-netscreen-plugins 0.1-2.4

=== Makefile ===
build:

install:
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_cpu > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_cpu
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_mem > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_mem
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_vpn > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_vpn
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_session > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_session
	cp check_netscreen_policy_vsys ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_policy_vsys
	chmod 755 ${DESTDIR}/usr/lib/nagios/plugins/*
	cp debian/netscreen.cfg ${DESTDIR}/etc/nagios-plugins/config/netscreen.cfg

clean:
	rm -f *-stamp

=== debian/changelog ===
nagios-netscreen-plugins (0.1-2.4) etch; urgency=low

  * 32bit version

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 23 Jun 2009 08:26:48 +0200

nagios-netscreen-plugins (0.1-2.3) stable; urgency=low

  * new check_netscreen_policy_vsys version 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 23 Jun 2009 08:22:51 +0200

nagios-netscreen-plugins (0.1-2.2) etch; urgency=low

  * added check_netscreen_policy_vsys

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 16 Jun 2009 11:31:03 +0200

nagios-netscreen-plugins (0.1-2.1) lenny; urgency=low

  * lenny statt stable

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 28 Apr 2009 11:33:01 +0200

nagios-netscreen-plugins (0.1-2) stable; urgency=low

  * Improved configfile netscreen.cfg
  * Cleanups in Makefile and debian/rules.
  * Added example.
  * Marked as stable.

 -- Hardy Kestin <hardy@noris.net>  Tue, 17 Oct 2006 14:56:42 +0200

nagios-netscreen-plugins (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Hardy Kestin <hardy@noris.net>  Tue, 17 Oct 2006 14:06:02 +0200

=== debian/control ===
Source: nagios-netscreen-plugins
Section: net
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: nagios-netscreen-plugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libnet-snmp-perl, nagios-plugins
Description: Nagios plugins to query a netscreen firewall.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/nagios-netscreen-plugins.sgml > nagios-netscreen-plugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nagios-netscreen-plugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/nagios-netscreen-plugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
